#
# OSC configuration file for defining StateVector conditions.
#
# $Id$
#

# The definition of State Vector bits will 'always' be at
# http://blue.ligo-wa.caltech.edu/hanford1/cvs/project/statevector/s3.txt

# all states use fraction=1. i.e. in one time stride, ALL
# the samples must satisfy the bitwise condition

#######################
#                    #
#  Begin H1 Section #
#                  #
###################

# bit 0
H1:SV_Operator_Go     bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x001 fraction=1.

# bit 1
H1:SV_Conlog_NoChange bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x002 fraction=1.

#bit 2
H1:SV_IFO_UP          bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x004 fraction=1.
H1:SV_CommonMode      boolean  "H1:SV_IFO_UP"

# bit 3
H1:SV_NoInjections    bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x008 fraction=1.

# bit 4
H1:SV_NoExcitation    bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x010 fraction=1.

#
# ---> Obsolete flags - State vector changed 10/06/2005
# H1:SV_PSL_OK         bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x004 fraction=1.
# H1:SV_Old_CommonMode bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x008 fraction=1.
# H1:SV_ISC            bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x010 fraction=1.
# H1:SV_AutoLocked     bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x020 fraction=1.
# H1:SV_NoExcitation   bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x040 fraction=1.
# H1:SV_MC_Locked      bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x080 fraction=1.
# H1:SV_ScienceMode    bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x100 fraction=1.
# H1:SV_IFO_UP         bitand  "H1:IFO-SV_STATE_VECTOR" mask=0x200 fraction=1.

# all bits on, ignoring excitation bit
H1:SV_AllOnSkipExc      bitand  "H1:IFO-SV_STATE_VECTOR" mask=0xEF fraction=1.

# all bits on, ignoring operator "go" bit
H1:SV_AllOnSkipOpGo     bitand  "H1:IFO-SV_STATE_VECTOR" mask=0xFE fraction=1.

# all bits on
H1:SV_AllBitsOn         bitand  "H1:IFO-SV_STATE_VECTOR" mask=0xFF fraction=1.

###################
#                  #
#  End H1 Section   #
#                    #
#######################



#######################
#                    #
#  Begin L1 Section #
#                  #
###################

# bit 0
L1:SV_Operator_Go     bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x001 fraction=1.

# bit 1
L1:SV_Conlog_NoChange bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x002 fraction=1.

#bit 2
L1:SV_IFO_UP          bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x004 fraction=1.
L1:SV_CommonMode      boolean  "L1:SV_IFO_UP"

# bit 3
L1:SV_NoInjections    bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x008 fraction=1.

# bit 4
L1:SV_NoExcitation    bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x010 fraction=1.

#
# ---> Obsolete flags - State vector changed 10/06/2005
# L1:SV_PSL_OK         bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x004 fraction=1.
# L1:SV_Old_CommonMode bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x008 fraction=1.
# L1:SV_ISC            bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x010 fraction=1.
# L1:SV_AutoLocked     bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x020 fraction=1.
# L1:SV_NoExcitation   bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x040 fraction=1.
# L1:SV_MC_Locked      bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x080 fraction=1.
# L1:SV_ScienceMode    bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x100 fraction=1.
# L1:SV_IFO_UP         bitand  "L1:IFO-SV_STATE_VECTOR" mask=0x200 fraction=1.

# all bits on, ignoring excitation bit
L1:SV_AllOnSkipExc      bitand  "L1:IFO-SV_STATE_VECTOR" mask=0xEF fraction=1.

# all bits on, ignoring operator "go" bit
L1:SV_AllOnSkipOpGo     bitand  "L1:IFO-SV_STATE_VECTOR" mask=0xFE fraction=1.

# all bits on
L1:SV_AllBitsOn         bitand  "L1:IFO-SV_STATE_VECTOR" mask=0xFF fraction=1.


###################
#                  #
#  End L1 Section   #
#                    #
#######################
